package ervu_business_metrics.model.idm;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * @author Adel Kalimullin
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class DomainData {
  private String id;
  private int version;
  private long modified;
  private String schema;
  private String name;
  private String shortname;
  private String fullname;
  private String dns;
  private String email;
  private String phone;
  private String address;
  private String postalAddress;
  private String addressId;
  private String postalAddressId;
  private String militaryCode;
  private String timezone;
  private boolean reportsEnabled;
  private String inn;
  private String leg;
  private String ogrn;
  private String region;
  private String epguId;
  private String type;
  private boolean esiaEmployeeAuthorization;
  private String defaultS3Bucket;
  private String opf;
  private String kpp;
  private String checkingAccount;
  private String bik;
  private String bankName;
  private String bankCorrespondentAccount;
  private String oktmo;
  private String okato;
  private String govRegistrationDate;
  private String govOrganizationType;
  private String aliasKey;
  private String passKey;
  private String certificate;
  private String accountNumberTOFK;
  private String bikTOFK;
  private String correspondentBankAccountTOFK;
  private String nameTOFK;
  private String nsiOrganizationId;
  private String docHandle;
  private String divisionType;
  private String tnsDepartmentId;
  private boolean enabled;
  private String parent;
  private String regionId;
  private String managed;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public int getVersion() {
    return version;
  }

  public void setVersion(int version) {
    this.version = version;
  }

  public long getModified() {
    return modified;
  }

  public void setModified(long modified) {
    this.modified = modified;
  }

  public String getSchema() {
    return schema;
  }

  public void setSchema(String schema) {
    this.schema = schema;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getShortname() {
    return shortname;
  }

  public void setShortname(String shortname) {
    this.shortname = shortname;
  }

  public String getFullname() {
    return fullname;
  }

  public void setFullname(String fullname) {
    this.fullname = fullname;
  }

  public String getDns() {
    return dns;
  }

  public void setDns(String dns) {
    this.dns = dns;
  }

  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }

  public String getPhone() {
    return phone;
  }

  public void setPhone(String phone) {
    this.phone = phone;
  }

  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  public String getPostalAddress() {
    return postalAddress;
  }

  public void setPostalAddress(String postalAddress) {
    this.postalAddress = postalAddress;
  }

  public String getAddressId() {
    return addressId;
  }

  public void setAddressId(String addressId) {
    this.addressId = addressId;
  }

  public String getPostalAddressId() {
    return postalAddressId;
  }

  public void setPostalAddressId(String postalAddressId) {
    this.postalAddressId = postalAddressId;
  }

  public String getMilitaryCode() {
    return militaryCode;
  }

  public void setMilitaryCode(String militaryCode) {
    this.militaryCode = militaryCode;
  }

  public String getTimezone() {
    return timezone;
  }

  public void setTimezone(String timezone) {
    this.timezone = timezone;
  }

  public boolean isReportsEnabled() {
    return reportsEnabled;
  }

  public void setReportsEnabled(boolean reportsEnabled) {
    this.reportsEnabled = reportsEnabled;
  }

  public String getInn() {
    return inn;
  }

  public void setInn(String inn) {
    this.inn = inn;
  }

  public String getLeg() {
    return leg;
  }

  public void setLeg(String leg) {
    this.leg = leg;
  }

  public String getOgrn() {
    return ogrn;
  }

  public void setOgrn(String ogrn) {
    this.ogrn = ogrn;
  }

  public String getRegion() {
    return region;
  }

  public void setRegion(String region) {
    this.region = region;
  }

  public String getEpguId() {
    return epguId;
  }

  public void setEpguId(String epguId) {
    this.epguId = epguId;
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public boolean isEsiaEmployeeAuthorization() {
    return esiaEmployeeAuthorization;
  }

  public void setEsiaEmployeeAuthorization(boolean esiaEmployeeAuthorization) {
    this.esiaEmployeeAuthorization = esiaEmployeeAuthorization;
  }

  public String getDefaultS3Bucket() {
    return defaultS3Bucket;
  }

  public void setDefaultS3Bucket(String defaultS3Bucket) {
    this.defaultS3Bucket = defaultS3Bucket;
  }

  public String getOpf() {
    return opf;
  }

  public void setOpf(String opf) {
    this.opf = opf;
  }

  public String getKpp() {
    return kpp;
  }

  public void setKpp(String kpp) {
    this.kpp = kpp;
  }

  public String getCheckingAccount() {
    return checkingAccount;
  }

  public void setCheckingAccount(String checkingAccount) {
    this.checkingAccount = checkingAccount;
  }

  public String getBik() {
    return bik;
  }

  public void setBik(String bik) {
    this.bik = bik;
  }

  public String getBankName() {
    return bankName;
  }

  public void setBankName(String bankName) {
    this.bankName = bankName;
  }

  public String getBankCorrespondentAccount() {
    return bankCorrespondentAccount;
  }

  public void setBankCorrespondentAccount(String bankCorrespondentAccount) {
    this.bankCorrespondentAccount = bankCorrespondentAccount;
  }

  public String getOktmo() {
    return oktmo;
  }

  public void setOktmo(String oktmo) {
    this.oktmo = oktmo;
  }

  public String getOkato() {
    return okato;
  }

  public void setOkato(String okato) {
    this.okato = okato;
  }

  public String getGovRegistrationDate() {
    return govRegistrationDate;
  }

  public void setGovRegistrationDate(String govRegistrationDate) {
    this.govRegistrationDate = govRegistrationDate;
  }

  public String getGovOrganizationType() {
    return govOrganizationType;
  }

  public void setGovOrganizationType(String govOrganizationType) {
    this.govOrganizationType = govOrganizationType;
  }

  public String getAliasKey() {
    return aliasKey;
  }

  public void setAliasKey(String aliasKey) {
    this.aliasKey = aliasKey;
  }

  public String getPassKey() {
    return passKey;
  }

  public void setPassKey(String passKey) {
    this.passKey = passKey;
  }

  public String getCertificate() {
    return certificate;
  }

  public void setCertificate(String certificate) {
    this.certificate = certificate;
  }

  public String getAccountNumberTOFK() {
    return accountNumberTOFK;
  }

  public void setAccountNumberTOFK(String accountNumberTOFK) {
    this.accountNumberTOFK = accountNumberTOFK;
  }

  public String getBikTOFK() {
    return bikTOFK;
  }

  public void setBikTOFK(String bikTOFK) {
    this.bikTOFK = bikTOFK;
  }

  public String getCorrespondentBankAccountTOFK() {
    return correspondentBankAccountTOFK;
  }

  public void setCorrespondentBankAccountTOFK(String correspondentBankAccountTOFK) {
    this.correspondentBankAccountTOFK = correspondentBankAccountTOFK;
  }

  public String getNameTOFK() {
    return nameTOFK;
  }

  public void setNameTOFK(String nameTOFK) {
    this.nameTOFK = nameTOFK;
  }

  public String getNsiOrganizationId() {
    return nsiOrganizationId;
  }

  public void setNsiOrganizationId(String nsiOrganizationId) {
    this.nsiOrganizationId = nsiOrganizationId;
  }

  public String getDocHandle() {
    return docHandle;
  }

  public void setDocHandle(String docHandle) {
    this.docHandle = docHandle;
  }

  public String getDivisionType() {
    return divisionType;
  }

  public void setDivisionType(String divisionType) {
    this.divisionType = divisionType;
  }

  public String getTnsDepartmentId() {
    return tnsDepartmentId;
  }

  public void setTnsDepartmentId(String tnsDepartmentId) {
    this.tnsDepartmentId = tnsDepartmentId;
  }

  public boolean isEnabled() {
    return enabled;
  }

  public void setEnabled(boolean enabled) {
    this.enabled = enabled;
  }

  public String getParent() {
    return parent;
  }

  public void setParent(String parent) {
    this.parent = parent;
  }

  public String getRegionId() {
    return regionId;
  }

  public void setRegionId(String regionId) {
    this.regionId = regionId;
  }

  public String getManaged() {
    return managed;
  }

  public void setManaged(String managed) {
    this.managed = managed;
  }
}
